.quan-ly-doi-tac-grid{
    display: grid;
    grid-template-columns: auto auto;
    gap: 1rem;
    height: calc(100vh - 3.5rem);
    overflow: hidden;
    grid-template-areas: 
    'list detail'
    ;

    animation: show_up .2s;
    
    .app-danh-sach-doi-tac-wrapper{
        grid-area: list;
        
        width: calc( 100vw - 300px - 1.5rem - 2rem );
        transition: .2s;
        
        .app-danh-sach-doi-tac{
            height: calc(100vh - 3.5rem - 3rem - 36px);
        }
    }
    
    .app-chi-tiet-doi-tac-wrapper{
        grid-area: detail;
        transition: transform .2s, width .3s;
        transition-delay: 0;
        
        width: calc( 100vw - 300px - 1.5rem - 2rem );
        transform: translateX(calc(100vw - 300px - 1.5rem - 3rem - 25vw));
    }
    
    &.detail{
        .app-danh-sach-doi-tac-wrapper{
            width: 25vw;
        }
        .app-chi-tiet-doi-tac-wrapper{
            width: calc(100vw - 300px - 1.5rem - 3rem - 25vw);
            transition: transform .2s, width .35s;
            transition-delay: .05s;
            transform: translateX(0);
        }
    }
    
    .doi-tac-container{
        height: calc(100vh - 3.5rem);
        overflow: hidden;
        
        display: grid;
        gap: 1rem;

        .delete-all-wrapper{
            display: flex;
            align-items: center;

            position: absolute;
            top: 0; 
            right: 0; 
            left: calc(3rem + 36px); 
            height: 56px; 
            z-index: 1000;
            background: #fff;
        }
        
        .doi-tac-table{
            width: 100%;
            height: calc(100vh - 3.5rem - 3rem - 36px - 89px - 56px - 2rem);
            overflow: auto;
            
            mat-table, [mat-table], .mat-table {
                width: calc(100vw - 330px - 2rem - 3rem);
                overflow: auto;
                border-spacing: 0;
                
                mat-row, [mat-row], .mat-row{
                    position: relative;
                    z-index: 1;
                    .action-btn-group{
                        visibility: hidden;
                        display: flex;
                        align-items: center;
                        justify-content: flex-end;
                        padding-left: 4rem;
                        background: linear-gradient(to left, rgba(#f8f8f8, .95) 75%, rgba(#f8f8f8, 0));
                        position: absolute;
                        top: 0;
                        right: 0;
                        bottom: 0;
                        z-index: 100;
                    }
                    &.active{
                        background: #f0f0f0;
                        td.mat-table-sticky{
                            &::before{
                                background: #f0f0f0;
                            }
                        }
                    }
                    &:hover{
                        background: #f8f8f8;
                        .action-btn-group{
                            visibility: visible;
                        }
                        td.mat-table-sticky{
                            &::before{
                                background: #f8f8f8;
                            }
                        }
                    }
                }
                
                tr{
                    background: transparent;
                }
                
                mat-header-row, [mat-header-row], .mat-header-row{
                    background: #fff;
                    z-index: 1;
                }
                
                mat-header-cell, [mat-header-cell]{
                    .mat-sort-header-button {
                        text-align: left !important;
                    }
                }
                
                th,td{
                    padding-right: 2rem;
                    position: static;
                    max-width: 10vw;
                    text-overflow: ellipsis;
                    overflow: hidden;
                    white-space: nowrap;
                }
                .mat-column-action{
                    width: 0;
                    padding: 0;
                }
                
                td.mat-table-sticky{
                    background: transparent;
                    &::before{
                        content: '';
                        position: absolute;
                        top: 0;
                        left: 0;
                        right: 0;
                        bottom: 0;
                        z-index: 0;
                        background: #fff;
                    }
                }
            }
        }
        
    }
}